package com.gingersoft.gsa.cloud.base.table.bean;

import java.util.List;

import lombok.Data;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-07-29
 * 修订历史：2020-07-29
 * 描述：
 */
@Data
public class TableExtBean {

    private TableBean.DataBean restaurantTable;
    private List<DataBean> restaurantTableExtList;

    @Data
    public static class  DataBean{
        /**
         * id : 4
         * tableId : 45089
         * orderId : -1
         * inUse : 2
         * tableStatus : 0
         * updateTime : 1596100189746
         * createTime : 1596074076494
         * deviceName : okhttp/3.12.0
         * tableNumber : A
         * tableName : 4
         * seatCount: 2
         * serviceCharge : 10
         */
        private int id;
        private int tableId;
        private long orderId;
        private long memberId;
        private int inUse;
        private int tableStatus;
        private String deviceName;
        private String tableNumber;
        private String tableName;

        private int seatCount;
        private long serviceCharge;

        private long updateTime;
        private long createTime;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getTableId() {
            return tableId;
        }

        public void setTableId(int tableId) {
            this.tableId = tableId;
        }

        public long getOrderId() {
            return orderId;
        }

        public void setOrderId(long orderId) {
            this.orderId = orderId;
        }

        public long getMemberId() {
            return memberId;
        }

        public void setMemberId(long memberId) {
            this.memberId = memberId;
        }

        public int getInUse() {
            return inUse;
        }

        public void setInUse(int inUse) {
            this.inUse = inUse;
        }

        public int getTableStatus() {
            return tableStatus;
        }

        public void setTableStatus(int tableStatus) {
            this.tableStatus = tableStatus;
        }

        public String getDeviceName() {
            return deviceName;
        }

        public void setDeviceName(String deviceName) {
            this.deviceName = deviceName;
        }

        public String getTableNumber() {
            return tableNumber;
        }

        public void setTableNumber(String tableNumber) {
            this.tableNumber = tableNumber;
        }

        public String getTableName() {
            return tableName;
        }

        public void setTableName(String tableName) {
            this.tableName = tableName;
        }

        public int getSeatCount() {
            return seatCount;
        }

        public void setSeatCount(int seatCount) {
            this.seatCount = seatCount;
        }

        public long getServiceCharge() {
            return serviceCharge;
        }

        public void setServiceCharge(long serviceCharge) {
            this.serviceCharge = serviceCharge;
        }

        public long getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(long updateTime) {
            this.updateTime = updateTime;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }
    }

    public TableBean.DataBean getRestaurantTable() {
        return restaurantTable;
    }

    public void setRestaurantTable(TableBean.DataBean restaurantTable) {
        this.restaurantTable = restaurantTable;
    }

    public List<DataBean> getRestaurantTableExtList() {
        return restaurantTableExtList;
    }

    public void setRestaurantTableExtList(List<DataBean> restaurantTableExtList) {
        this.restaurantTableExtList = restaurantTableExtList;
    }
}
